<template lang="pug">
table.users-table.table
  thead: tr
    th(width="20px")
    th(width="50px")
    th(width="200px") NAME
    th(width="200px") USERNAME
    th EMAIL
    th
  tbody: tr(v-for="user in users")
    td: input.checkbox(@click="selectUser(user.id)" type="checkbox")
    td: img(:src="'http://api.motivated.tech/user_pics/' + user.username + '.svg'")
    td: p(v-if="user.name") {{ user.name.first }} {{ user.name.last }}
    td: p {{user.username }}
    td: p {{ user.email }}
    td(style="text-align: right"): a.delete(@click="deleteUser(user.id)")
</template>

<script>
  export default {
    name: 'users-table',
    props: ['users'],
    methods: {
      selectUser(id) {
        this.$emit('selectUser', id)
      },
      deleteUser(id) {
        this.$emit('deleteUser', id)
      }
    }
  }
</script>

<style lang="sass">
.users-table
  tr.active
    background-color: #456
</style>
